%define         major                    5
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d

Name:           hwloc
Summary:        Hardware locality utilities and libraries
Version:        1.11.6
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            http://www.open-mpi.org/projects/hwloc/
Source0:        http://www.open-mpi.org/software/hwloc/v1.8/downloads/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}numa-devel
BuildRequires: %{_lib}pciaccess-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: opencl-headers

%description
The Portable Hardware Locality software package provides a portable
abstraction of the hierarchical topology of modern architectures,
including NUMA memory nodes, sockets, shared caches, cores and
simultaneous multi-threading. It also gathers various system attributes
such as cache and memory information as well as the locality of I/O
devices such as network interfaces, InfiniBand HCAs or GPUs. It
primarily aims at helping applications with gathering information
about modern computing hardware so as to exploit it accordingly and
efficiently. Try out the command "lstopo" and enjoy the show.

%package -n %{libname}
Summary:        Shared libraries for hwloc
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.

%package -n %{develname}
Summary:        Development files for hwloc
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.

%prep
%setup -q

%build
%configure2_5x  
%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name *.la -delete

%files
%doc README COPYING
%{_bindir}/hwloc*
%attr(0755,root,root) %{_sbindir}/hwloc-dump-hwdata
%{_bindir}/lstopo*
%{_datadir}/hwloc
%{_mandir}/man1/*.1.*
%{_mandir}/man7/*.7.*
%{_datadir}/applications/*.desktop

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS VERSION NEWS
%{_includedir}/hwloc.h
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/autogen/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3.*


%changelog
* Tue Aug 01 2017 adrianomorselli <adrianomorselli> 1.11.6-1uplos2017
- update
